Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

I usually wait for Denis to let us know when to upgrade to the next SP and WP version.. Anyone know?

Thanks Miami

share|improve this question
add comment

2 Answers 2

SP for any stable release. WP as you see fit normally, I discuss that with Denis as well.

Right now SP is compatible with WP 3.0.1 and WP 2.9.2 so you have the choice. The memo on WP is "3.x only if you need it". That's how I take it for my own and client sites as well. Have been doing good with it so far.

Keep in mind that WP 3.0.x might be incompatible licensed with some plugins and themes it was compatible to before 3.0.0/3.0.1 and will be compatible again after the next release - be it 3.0.2 or 3.1.0 .

share|improve this answer
add comment

Short version of what Hakre said: :-)

  1. Check http://www.semiologic.com for WP release notes.
  2. As a rule, always upgrade your theme and plugins.

I'd like to stress the importance of that second point:

  • My Version Checker plugin ensures that my theme and plugins are only offered as upgrades when they're compatible with your current version of WP; and
  • I do my best on my end to make sure my theme and plugins with with the latest and the previous versions of WP (i.e. 2.9.x and 3.0.x at the time of writing).
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.